Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000562bareos-core[All Projects] file daemonpublic2015-11-12 00:052017-06-08 15:28
Reporterrhillmann 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOS2012 R2OS Version8
Product Version15.2.1 
Target VersionFixed in Version16.2.4 
Summary0000562: VSS Plugin is missing method IVssBackupComponents::SetBackupSucceeded
DescriptionThe VSS Plugin doesnt reply to the Vss writers that a backup has been suceeded.
This is a problem for backup scenarios such like Exchange, which needs to be informed that a backup has been successfull (for example the LastFullBack Propertie in the Mailbox or purging the logs)
While discovering the problem in the source code, i figured out that the method SetBackupSucceeded is not implemented (Which replies to the vss writer and is required for Application feedback).

Quote from MS:
"Therefore, a well-behaved backup application (requester) must call SetBackupSucceeded after each component has been processed and prior to calling IVssBackupComponents::BackupComplete."

https://msdn.microsoft.com/en-us/library/aa382838(v=vs.85).aspx [^]
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impactyes
bareos-16.2: actionfixed
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0002302)
mvwieringen (developer)
2016-06-17 19:22

Fix committed to bareos master branch with changesetid 6390.

- Related Changesets
bareos: master 8b1c713b
Timestamp: 2016-06-13 17:43:47
Author: mvwieringen
Ported: N/A
Details ] Diff ]
vss: Fix IVssBackupComponents::SetBackupState call

We currently always call the IVssBackupComponents::SetBackupState method
with the arguments bSelectComponents and bBackupBootableSystemState set
to true. This indicates that we do a backup or restore operation in
component mode and that a bootable system state backup is being
performed. This is not really true until we fully implement the whole
VSS API in a new dedicated VSS plugin. As such this patch adds a new
event bEventVssSetBackupState which is raised when normally a
IVssBackupComponents::SetBackupState call is done the plugin can
register this event and implement its own call to
IVssBackupComponents::SetBackupState with the options it want to set and
return an bRC_Skip to let the core not call the method.

This patch also adds a new event named bEventVssPrepareForBackup which is
raised just before a call to IVssBackupComponents::PrepareForBackup is
done.

Fixes 0000562: VSS Plugin is missing method
IVssBackupComponents::SetBackupSucceeded
mod - src/filed/fd_plugins.h Diff ] File ]
mod - src/plugins/filed/bareos_fd_consts.py Diff ] File ]
mod - src/win32/filed/vss_generic.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-12 00:05 rhillmann New Issue
2016-01-11 15:03 pstorz Status new => acknowledged
2016-06-17 19:22 mvwieringen Changeset attached => bareos master 8b1c713b
2016-06-17 19:22 mvwieringen Note Added: 0002302
2016-06-17 19:22 mvwieringen Status acknowledged => resolved
2016-06-17 19:22 mvwieringen Resolution open => fixed
2017-06-08 15:28 joergs bareos-master: impact => yes
2017-06-08 15:28 joergs bareos-master: action => fixed
2017-06-08 15:28 joergs bareos-16.2: impact => yes
2017-06-08 15:28 joergs bareos-16.2: action => fixed
2017-06-08 15:28 joergs Status resolved => closed
2017-06-08 15:28 joergs Fixed in Version => 16.2.4


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker